\chapter{Surface Hopping Algorithm}
The Born–Oppenheimer approximation is the most fundamental hypothesis in chemistry. 
On it rests our chemical intuition about molecular structure. In many situations, however, when the molecular system owns enough energy to explore unusual regions of the configuration space, one finds that the Born–Oppenheimer approximation may often fail. 
In such regions, the adiabatic surface driving the time evolution of the system branches and the nuclear wave packet will split among the manifold of states. The occurrence of these nonadiabatic effects is not only common for a large number of problems, ranging from collision reactions to photo-chemistry, but it is also the basis for key biochemical
phenomena such as light detection 1,2 and the photo-stability of the genetic code. 3,4

The TSH (trajectory surface hopping) is a general methodology for dynamics propagation of nonadiabatic systems. 
It is based on the hypothesis that the time evolution of a wave packet through a potential-energy branching region can be approximated by an ensemble of independent semiclassical trajectories stochastically distributed among the branched surfaces. 
This distribution is achieved by allowing hops between surfaces according to some probability distribution. 
Throughout this work, we will discuss the main methodological aspects of the TSH approach and survey the main applications from a variety of different fields.

Naturally, there is a price to pay for such
approximations; and it is mainly related to the
failure of TSH to treat a series of quantum
features among them:

\begin{itemize}
	\item The free flow of energy among degrees
	of freedom in the classical trajectories
	may lead to inconsistent treatment of
	zero-point energy.
	\item The local character does not allow the
	treatment of tunneling effects.
	\item The coherence between states is usually wrong because of the independent
	trajectory approach.
	\item When on-the-fly approaches are employed, the computational costs are
	often too high to achieve proper statistical convergence in the number of
	trajectories or to propagate the trajectories for more than few picoseconds.
\end{itemize}

The Surface Hopping (SH) algorithm, first appeared in the seminal paper of Tully, has been proven extremely powerful and efficient while keeping a discrete degree of simplicity for modeling ...

There are already several excellent reviews about the SH, its successful applications and its weaknesses. In particular already many improvements have been proposed essentially for trying to overcome the problems of decoherence, (problem 2), (problem 3). 
%The idea is to threat molecular systems in the same spirit of the BO approximation and to 

SH remains nowaday, for its simplicity and efficiency, one of the most useful and powerful algorithms, though not the most accurate, for modelling electron dynamics, e.g., in molecular systems. 
The idea the author(s) have been developing is to properly include non adiabatic effects into the SH. Specifically, we know a priori that any system that allows more than two electronic potentially energy surface to interfere with each other needs to account for Geometric Phase (GP) effects in its description.
Up to the present state of art (at least up to the knowledge of the author), there are no way for straightforwardly introduce the GP into the SH. GP has been in different levels introduced in many numerical softwares and packages in the field of Solid State Physics but remains still somehow underdeveloped in the field of chemical physics (probably because of the required mathematical formalism to which the chemical audience is not always used to).

We therefore try to describe/develop/introduce a direct and mathematically rigorous way for introducing the GP into the SF: it will end up in a semiclassical force that will modify the electonic equations of motion.


\section{Surface Hopping Idea}
Following the original paper of Tully, 

\begin{marginfigure}
	\includegraphics{Im/tully_modelA}
	\caption[Transmission Probabilities]{Transmission probabilities from the original paper of Tully}
	\labfig{tully_model_A}
\end{marginfigure}

\begin{marginfigure}
	\includegraphics{Im/tully_PES}
	\caption[PES]{PES from the original paper of Tully}
	\labfig{marginmonalisa}
\end{marginfigure}
 
\section{Results}
See fig. \ref{fig:modelA}

\section{Possible Extensions and Future Works}
The first possible extensions that we can think of are:
\begin{itemize}
	\item Extending the Surface Hopping algorithm to include also the possibility of complex Hamiltonians (as first experimented by \cite{miao2019extension})
	\item Use the surface hopping as it is but include in the equations of motions of the pseudo particle the Topological Force
	\item treat the Surface Hopping normally but append to all the pseudo particles a unitary complex factor in order to account for decoherence and then derive the equations of motions of the complex part (citation needed)
\end{itemize}

\begin{figure}[htbp!]
	\includegraphics[width=\textwidth]{../../Julia/SH_modelA}
	\caption{Reproduction of the results of model A of the original paper of Tully.}
	\label{fig:modelA}
\end{figure}


